/**
 * 学习目的
 */

export default {
  id: 'application_info_answer',
  title: '学习目的',
  required: true,
  visible() {
    return this.tabActive !== 'application_info_first'
  },
  get: {
    action: '/api/enrollment/v1.0/application-materials/1005',
    callback(data) {
      this.form.options.disabled = data.data.material.submission_status === 'SUBMITTED'
      const { answers = [] } = data.data.material
      const [first = {}, second = {}] = answers
      return {
        qid1: first.qid || '1',
        question1: first.question || '个人描述（60-1000字）中文或者英文',
        answer1: first.answer,
        qid2: second.qid || '2',
        question2:
          second.question ||
          '申请紫荆教育康博斯威尔大学教育硕士的原因？以及您的职业或个人发展的预期目标（60-1000字）中文或者英文',
        answer2: second.answer
      }
    }
  },
  update: {
    action: '/api/enrollment/v1.0/application-materials/1005/put',
    beforeRequest(data) {
      return {
        answers: [
          { qid: data.qid1, question: data.question1, answer: data.answer1 },
          { qid: data.qid2, question: data.question2, answer: data.answer2 }
        ]
      }
    }
  },
  form: {
    prev: { to: { query: { active: 'application_info', tab: 'application_info_career' } } },
    next: { to: { query: { active: 'application_info', tab: 'application_info_training' } } },
    options: {},
    items: [
      {
        type: 'v-input',
        label: '个人描述（60-1000字）中文或者英文',
        model: 'answer1',
        attrs: { type: 'textarea', rows: '8', maxlength: '1000', style: 'width:100%' },
        rules: [
          { required: true, message: '请输入', trigger: 'blur' },
          { min: 200, max: 1000, message: '长度在 200 到 1000 个字符', trigger: 'blur' }
        ]
      },
      {
        type: 'v-input',
        label: '申请紫荆教育康博斯威尔大学教育硕士的原因？以及您的职业或个人发展的预期目标（60-1000字）中文或者英文',
        model: 'answer2',
        attrs: { type: 'textarea', rows: '8', maxlength: '1000', style: 'width:100%' },
        rules: [
          { required: true, message: '请输入', trigger: 'blur' },
          { min: 200, max: 1000, message: '长度在 200 到 1000 个字符', trigger: 'blur' }
        ]
      }
    ]
  }
}
