/**
 * 推荐信
 */

export default {
  id: 'application_tjx',
  title: '推荐信',
  visible() {
    return this.tabActive !== 'application_info_first'
  },
  get: {
    action: '/api/enrollment/v1.0/application-materials/1005',
    callback(data) {
      // this.form.options.disabled = data.data.material.submission_status === 'SUBMITTED'
      let list = data.data.material.reco_letters || []
      return list.length ? list : [{}, {}, {}]
    }
  },
  update: {
    action: '/api/enrollment/v1.0/application-materials/1005/put',
    beforeRequest(data) {
      // const recoLetters = data.map(item => {
      //   return ['provider_name', 'provider_phone_number', 'provider_email', 'provider_relationship'].reduce(
      //     (result, key) => {
      //       result[key] = item[key]
      //       return result
      //     },
      //     {}
      //   )
      // })
      return { reco_letters: data }
    }
  },
  form: {
    prev: { to: { query: { active: 'application_info', tab: 'application_info_honor' } } },
    next: { to: { query: { active: 'application_wfzzm' } } },
    hasAdd: true,
    minLength: 3,
    disabled(data) {
      return !!data.letter_content
    },
    aside: {
      prepend: {
        html: '<p style="color:#33C011;">推荐人已完成</p>',
        visible(data) {
          return !!data.letter_content
        }
      },
      buttons: [
        {
          text: '再次邀请',
          visible(data) {
            return data.id && !data.letter_content
          },
          onClick(data) {
            console.log(data, this)
          }
        },
        {
          text: '更换推荐人',
          visible(data) {
            return data.id && !data.letter_content
          },
          onClick(data) {
            console.log(data, this)
          }
        }
      ]
    },
    options: {
      labelWidth: '140px'
    },
    items: [
      {
        type: 'v-input',
        label: '推荐人姓名',
        model: 'provider_name',
        attrs: { placeholder: '请输入推荐人姓名' },
        rules: [{ required: true, message: '请输入推荐人姓名', trigger: 'blur' }]
      },

      {
        type: 'v-input',
        label: '推荐人电话',
        model: 'provider_phone_number',
        attrs: { placeholder: '请输入推荐人电话' },
        rules: [{ required: true, message: '请输入推荐人电话', trigger: 'blur' }]
      },
      {
        type: 'v-input',
        label: '推荐人邮箱',
        model: 'provider_email',
        attrs: { placeholder: '请输入推荐人邮箱' },
        rules: [{ required: true, message: '请输入推荐人邮箱', trigger: 'blur' }]
      },
      {
        type: 'v-select',
        values: [
          { value: '老师/导师' },
          { value: '领导' },
          { value: '同学' },
          { value: '同事' },
          { value: '亲属' },
          { value: '朋友' },
          { value: '其他' }
        ],
        label: '与推荐人关系',
        model: 'provider_relationship',
        rules: [{ required: true, message: '请选择与推荐人关系', trigger: 'change' }]
      }
    ]
  }
}
